Page 1 of 5 123 ... LastLast
Results 1 to 10 of 43

Thread: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

  1. #1

    Default AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    I chased down, personally tested (and therefore proved to work) a shell-script that downloads and auto-builds a working RPM for the Linux Catalyst driver for openSuSE 11.3 (works with either RC and GM; I personally tested, and am using, the GM RPM built via this script).

    Google Translate (English translation via Google of the original German page; the script works in US English openSuSE 11.3 GM, where I tested it)

    Why this is important: Unlike owners of earlier AMD GPUs, those of us with HD5xxx-based cards have no option other than the proprietary driver to get any sort of 3D acceleration and compositing; prior to this script, we could not run openSuSE 11.3 at all with compositing (or even 2D direct rendering, which is not supported in the FOSS driver for HD5xxx)

  2. #2
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    11,204

    Default Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    shouldn't this good news be moved/copied to the forum's and/or wiki's
    how-to/SDB section?

    --
    Enjoy Packman's benefits? Show your appreciation by donating at
    http://se.unixheads.org/?donate

    DenverD
    CAVEAT: http://is.gd/bpoMD [posted via NNTP w/openSUSE 10.3]

  3. #3
    Join Date
    Jun 2010
    Location
    Rio de Janeiro, Brazil
    Posts
    14

    Default Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    The script doesn't seems to support x86_64. I'm going to try the manual installation.

  4. #4
    Join Date
    Jun 2010
    Location
    Rio de Janeiro, Brazil
    Posts
    14

    Default Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    It actually downgrades the X server therefore working the current ATI driver. Is it safe to do so?

  5. #5

    Default Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    Hi vitorpy,

    I am the author from the "makerpm-ati" script. ;-)

    Quote Originally Posted by vitorpy View Post
    The script doesn't seems to support x86_64. I'm going to try the manual installation.
    Could you post the complete output of the script, please?

    Quote Originally Posted by vitorpy View Post
    It actually downgrades the X server therefore working the current ATI driver. Is it safe to do so?
    Do you use openSUSE 11.2 or 11.3? Normally, this doesn't downgrade the X-Server under openSUSE 11.3.


    Greeting

    Sebastian

  6. #6

    Default Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    Quote Originally Posted by vitorpy View Post
    The script doesn't seems to support x86_64. I'm going to try the manual installation.
    I did the testing with the x86_64 version of 11.3 GM (the script is bitness-irrelevant). The critical things are twofold: the script must be run as root (no sudo!) and the same prereqs that normal AMD driver builds require (AKA "the hard way") apply.

  7. #7

    Default Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    Quote Originally Posted by Freespacer View Post
    Hi vitorpy,

    I am the author from the "makerpm-ati" script. ;-)



    Could you post the complete output of the script, please?



    Do you use openSUSE 11.2 or 11.3? Normally, this doesn't downgrade the X-Server under openSUSE 11.3.


    Greeting

    Sebastian
    Hello, Sebastian.

    Normally, 11.2 wouldn't need the script, as the 10.6 driver builds fine there as long as you have all the pre-requisites met (the only exception is if you have the repos from Factory which have 11.3-or-later versions of X).

    vitorpy, do you have the Factory repos (or any repo with the same version of X as 11.3 or later) enabled? The Factory repos I have enabled all are KDE-rated (no changes in X from stock) and were enabled *after* running the script and installing the resultant RPM; the only other repo I had enabled other than the standard repos is Packman (VLC and Pidgin).

  8. #8

    Default Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    I also haveing problems with script and ati drivers here's the output I get
    *******************************************************************
    * *
    * Script: makerpm-ati-10.6.sh *
    * Version: 2.9 *
    * Written by: Sebastian Siebert (mail@sebastian-siebert.de) *
    * *
    * Description: This script helps you to create a rpm package *
    * from the proprietary ATI installer *
    * *
    * License: This script is under the *
    * modified BSD License (2-clause license) *
    * *
    *******************************************************************
    Check for running this script as root ... [ OK ]
    Grab openSUSE Version ...
    openSUSE Version = 11.3 (113) [ OK ]
    Get the architecture of this machine ...
    Architecture: x86_64 (AMD64) [ OK ]
    Check for existing ATI-Installer "ati-driver-installer-10-6-x86.x86_64.run" in current d[ OK ]ry ...
    Compare SHA1 checksum of the ATI-Installer ... [ OK ]
    Set the correct permissions of ATI-Installer "ati-driver-installer-10-6-x86.x86_64.run" [ OK ]
    Check for supported graphics card on this machine ...
    Creating directory /home/aries/Downloads/tmp.xMduKZtbHb
    01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS880 [Radeon HD 4200] [1002:9710]
    Found supported graphics card by ASIC ID: 9710 [ OK ]
    Check the installed development packages ...
    check gcc ... [ AVAILABLE ]
    check make ... [ AVAILABLE ]
    check patch ... [ AVAILABLE ]
    check kernel-source ... [ AVAILABLE ]
    check linux-kernel-headers ... [ MISSING ]

    missing "linux-kernel-headers"-package: try to run "zypper install linux-kernel-headers"

    check kernel-desktop-devel ... [ AVAILABLE ]
    [ OK ]


    Build the RPM-Packages "SuSE/SUSE113-AMD64" ...
    ----- START: ATI INSTALLER ---
    Created directory fglrx-install.zSjdYl
    Verifying archive integrity... All good.
    Uncompressing ATI Catalyst(TM) Proprietary Linux Driver-8.741.........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
    ==================================================
    ATI Technologies Linux Driver Installer/Packager
    ==================================================
    Generating package: SuSE/SUSE113-AMD64
    Error: Distro Version entered incorrectly or not supported, use --listpkg to identify valid distro versions
    Removing temporary directory: fglrx-install.zSjdYl
    ----- END: ATI INSTALLER ---

    Error: RPM-Package was NOT builded! [ FAILURE ]
    I looked for the kernel headers package, also ran the zypper line ass suggested and found none, I am also running 64 bit 11.3
    thanks

  9. #9

    Default Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    Quote Originally Posted by dwarrens View Post
    I also haveing problems with script and ati drivers here's the output I get
    * Script: makerpm-ati-10.6.sh *
    * Version: 2.9 *

    ...

    I looked for the kernel headers package, also ran the zypper line ass suggested and found none, I am also running 64 bit 11.3
    thanks
    I see you have the wrong script version (2.9). This script wasn't adapted for openSUSE 11.3. You need to download makerpm-ati-10.6-beta.sh (3.0-beta) from here: openSUSE 11.2 – XOrg 7.5 (X-Server 1.8.0) + ATI Catalyst 10.6 (fglrx 8.741) laufen einwandfrei

    Greeting,

    Sebastian

  10. #10

    Unhappy Re: AMD driver *Solution* (tested and proven for openSuSE 11.3 GM!)

    I think I used the wrong script also. I'll try again.

Page 1 of 5 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •